package algo.tp.gui;

import java.awt.BorderLayout;
import java.net.URL;

import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JPanel;

public class HeadlineTableCell extends JPanel {

	private String content = "";

	private String iconLocation = "";

	private JLabel imageLabel;

	private JLabel text;

	private String kind;

	public HeadlineTableCell(String content, String imageLocation, String kind) {
		// super(new GridLayout(2, 1));
		super(new BorderLayout());
		this.content = content;
		this.iconLocation = imageLocation;
		this.kind = kind;
		init();
	}

	private void init() {

		ImageIcon icon = null;
		URL url = this.getClass().getResource(iconLocation);
		icon = new ImageIcon(url);
		imageLabel = new JLabel(icon);
		text = new JLabel(content);

		this.add(imageLabel);
		if(kind.equals("destination")){
			this.add(text, BorderLayout.SOUTH);
		}
		else if(kind.equals("source")){
			this.add(text, BorderLayout.EAST);
		}

	}

}
