package algo.tp.gui;


import algo.tp.model.Prices;
import algo.tp.model.StoreAmounts;
import algo.tp.service.TPService;

public class Main {

	public static void main(String[] args) {
		StoreAmounts sources;
		StoreAmounts destinations;
		Prices prices;
		TPService service;
		int x[] = null;
		int y[] = null;
		x = new int[] { 18, 27, 42, 12, 26 };
		y = new int[] { 48, 30, 27, 20 };
		int c1[] = new int[] { 10, 8, 5, 6, 9 };
		int c2[] = new int[] { 6, 7, 8, 6, 5 };
		int c3[] = new int[] { 8, 7, 10, 8, 7 };
		int c4[] = new int[] { 7, 5, 4, 6, 8 };
		int c[][] = new int[4][5];
		c[0] = c1;
		c[1] = c2;
		c[2] = c3;
		c[3] = c4;

		prices = new Prices(c);
		sources = new StoreAmounts(y);
		destinations = new StoreAmounts(x);
		service = new TPService();
		service.setDestinations(destinations);
		service.setSources(sources);
		service.setPrices(prices);

		TPVisualizer tpv = new TPVisualizer(service);
		tpv.beforStart();
		tpv.initializeFrame();
	}
}
