package algo.tp.model;

public class BasisCell {
    private int column;
    private int row;
    private int price;
    private int pseudoPrice;
    private int amount;
    private BasisCell horizontalNeighbour = null;
    private BasisCell verticalNeighbour = null;

    public BasisCell() {
    }
    public BasisCell(int row, int column) {
        this.column = column;
        this.row = row;
    }
    public int getColumn() {
        return column;
    }
    public void setColumn(int column) {
        this.column = column;
    }
    public BasisCell getHorizontalNeighbour() {
        return horizontalNeighbour;
    }
    public void setHorizontalNeighbour(BasisCell horizontalNeighbour) {
        this.horizontalNeighbour = horizontalNeighbour;
    }
    public int getPrice() {
        return price;
    }
    public void setPrice(int price) {
        this.price = price;
    }
    public int getRow() {
        return row;
    }
    public void setRow(int row) {
        this.row = row;
    }
    public BasisCell getVerticalNeighbour() {
        return verticalNeighbour;
    }
    public void setVerticalNeighbour(BasisCell verticalNeighbour) {
        this.verticalNeighbour = verticalNeighbour;
    }
    public int getAmount() {
        return amount;
    }
    public void setAmount(int amount) {
        this.amount = amount;
    }
    public boolean equals(BasisCell b) {
        return ((row == b.getRow()) && (column == b.getColumn()));
    }
    public int getPseudoPrice() {
        return pseudoPrice;
    }
    public void setPseudoPrice(int pseudoPrice) {
        this.pseudoPrice = pseudoPrice;
    }
}
