package algo.tp.model;


public class CycleElement {
    private BasisCell basisCell;
    private CycleElement next;

    public CycleElement(BasisCell b) {
        this.basisCell = b;
    }

    public CycleElement(BasisCell b, CycleElement next) {
        this.basisCell = b;
        this.next = next;
    }

    public BasisCell getBasisCell() {
        return basisCell;
    }

    public CycleElement getNext() {
        return next;
    }

    public void setNext(CycleElement next) {
        this.next = next;
    }

    public int getAmount() {
        return basisCell.getAmount();
    }
    public void setAmount(int a) {
        basisCell.setAmount(a);
    }
}
